package com.tourism.webadmin.app.website.dto;

import lombok.Data;

import java.util.Map;

@Data
public class MessageDTO extends MessageContentBase{
    private String groupId;

    private String messageContent;

    private  Integer messageType;
    /**通知分类 1单聊 2群聊*/
    private Integer noticeType;

    private Object object;

    /**
     * 是否到达条数限制 对方关注过自己之前 或者自己已经发过一条消息且对方回复消息之前
     * 0未到限制 1已到限制
     */
    private Integer messageLimit = 0;
    /**扩展*/
    private Map<String,Object> map;
}
