package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.model.TourUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

/**
 * 类功能描述：
 *      群申请详情
 * @author 大春
 * @date 2025/01/10
 */
@Data
public class TourGroupInvitationVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;
    /**
     * 被邀请人id。
     */
    @Schema(description = "被邀请人id")
    private String invitee;

    @Schema(description = "被邀请人详情")
    private TourUser tourUser;

    @Schema(description = "申请时间")
    private Date createTime;

    /**
     * 邀请状态 1待确认 2同意 3不同意。
     */
    @Schema(description = "邀请状态 1待确认 2同意 3不同意。")
    private Integer status;


}
