package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 聊天敏感词黑名单VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "聊天敏感词黑名单VO视图对象")
@Data
public class TourImSensitiveWordDenyVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 黑名单词汇。
     */
    @Schema(description = "黑名单词汇")
    private String word;
}
